Name:		python-babel
Version:	1.3
Release:	%mkrel 3
Summary:	Library for internationalizing Python applications

Group:		Development/Python
License:	BSD
URL:		http://babel.pocoo.org/
Source0:	https://pypi.python.org/packages/source/B/Babel/Babel-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	pkgconfig(python)
BuildRequires:	python-pytz
BuildRequires:	python-setuptools

Requires:	python-setuptools

%description
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%package -n python3-babel
Summary:        Library for internationalizing Python applications
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytz

Requires:       python3-setuptools
Requires:       python3-pytz

%description -n python3-babel
Babel is composed of two major parts:

* tools to build and work with gettext message catalogs

* a Python interface to the CLDR (Common Locale Data Repository),
  providing access to various locale display names, localized number
  and date formatting, etc.

%prep
%setup -q -n Babel-%{version}
chmod a-x babel/messages/frontend.py
%{__sed} -i -e '/^#!/,1d' babel/messages/frontend.py
cp -r . %{py3dir}


%build
%{__python} setup.py build


pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --no-compile --root %{buildroot}
popd

%{__python} setup.py install --skip-build --no-compile --root %{buildroot}


%files
%doc CHANGES README docs/cmdline.rst
%{_bindir}/pybabel
%{python_sitelib}/Babel-%{version}-py*.egg-info
%{python_sitelib}/babel

%files -n python3-babel
%{python3_sitelib}/Babel-%{version}-py*.egg-info
%{python3_sitelib}/babel




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 543035
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-2.mga4
+ Revision: 498148
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 08 2013 philippem <philippem> 1.3-1.mga4
+ Revision: 493729
- Update to 1.3
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.6-2.mga3
+ Revision: 378490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 sander85 <sander85> 0.9.6-1.mga3
+ Revision: 327312
- imported package python-babel

